from core.lib.threshold import threshold_request


def get_irc_stats():
    url = "irc/stats"
    payload = {}
    stats = threshold_request(url, payload)
    if not stats:
        return {}
    return stats


def get_irc_networks():
    url = "irc/networks"
    payload = {}
    networks = threshold_request(url, payload)
    if not networks:
        return {}
    return networks


def get_irc_network(net):
    url = f"irc/network/{net}"
    payload = {}
    network = threshold_request(url, payload)
    if not network:
        return {}
    return network


def get_irc_relays(net):
    url = f"irc/network/{net}/relays"
    payload = {}
    relays = threshold_request(url, payload)
    if not relays:
        return []
    return relays


def get_irc_channels(net):
    url = f"irc/network/{net}/channels"
    payload = {}
    channels = threshold_request(url, payload)
    if not channels:
        return []
    return channels
